package com.rjconsultores.ventaboletos.web.utilerias.render;

import java.util.Iterator;
import java.util.List;

import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.entidad.Usuario;
import com.rjconsultores.ventaboletos.entidad.UsuarioUbicacion;

public class RenderSelecionarUsuario implements ListitemRenderer {

	public void render(Listitem lstm, Object o) throws Exception {
		Usuario usuario = (Usuario) o;
		
		Listcell lc = new Listcell();
		
		lc = new Listcell(usuario.getUsuarioId().toString());
		lc.setParent(lstm);

		lc = new Listcell(usuario.getClaveUsuario());
		lc.setParent(lstm);
		
		lc = new Listcell(usuario.getNombusuario());
		lc.setParent(lstm);

		List<UsuarioUbicacion> usuarioUbicacionList = usuario.getUsuarioUbicacionActivoList();
    	StringBuilder ubicacionsBuilder = new StringBuilder();                
        if(!usuarioUbicacionList.isEmpty()){        	
        	
        	Iterator<UsuarioUbicacion> usuarioUbicacionIt = usuarioUbicacionList.iterator();
        	ubicacionsBuilder.append(usuarioUbicacionIt.next().getPuntoVenta().getNombpuntoventa());
        	
        	while(usuarioUbicacionIt.hasNext())
        		ubicacionsBuilder.append(" \\ ")
        						.append(usuarioUbicacionIt.next().getPuntoVenta().getNombpuntoventa());
        	
        }
        
        lc = new Listcell(ubicacionsBuilder.toString());
    	lc.setParent(lstm);

        lstm.setAttribute("data", usuario);

	}

}
